Topic
  • 4 replies
  • Latest Post - ‏2013-09-09T10:14:22Z by Sami_
Sami_
Sami_
8 Posts

Pinned topic HATS 8.0 Work with WAS 8.5 ?

‏2013-09-03T10:48:30Z |

Hi All,

I want to run / deploy HATS 8.0 Application EAR on WAS 8.5 .

Or HATS 8.0 works with WAS 8.5 please can anybody confirm me.

 

Thanks

Sami 

  • tmparker
    tmparker
    534 Posts

    Re: HATS 8.0 Work with WAS 8.5 ?

    ‏2013-09-06T05:34:35Z  

    Hi Sami,

    WAS 8.5 was not available when HATS 8.0 was developed.  So, technically, HATS 8.0 would not be able to create a project specifically targeted for WAS 8.5 in the studio.  With that said, if you create a HATS 8.0 project targeted for WAS 8.0 I'm pretty sure you can deploy it to a WAS 8.5 server without a problem.

    Thanks

    Tim

  • Sami_
    Sami_
    8 Posts

    Re: HATS 8.0 Work with WAS 8.5 ?

    ‏2013-09-06T14:28:00Z  
    • tmparker
    • ‏2013-09-06T05:34:35Z

    Hi Sami,

    WAS 8.5 was not available when HATS 8.0 was developed.  So, technically, HATS 8.0 would not be able to create a project specifically targeted for WAS 8.5 in the studio.  With that said, if you create a HATS 8.0 project targeted for WAS 8.0 I'm pretty sure you can deploy it to a WAS 8.5 server without a problem.

    Thanks

    Tim

    Thank Tim for your kind reply.

    Actually We have HATS 8.0 with WAS 6.1 in development environment. We generate the EAR file  to target WAS 6.1, and then we provide this EAR to our client , he deploy this EAR file on WAS 6.1 server. But now our client has installed WAS 8.5 and he wants to deploy  same EAR on WAS 8.5.

    So I want to know that the EAR file which was generated from HATS8.0 for WAS6.1 can be deploy on WAS 8.5.?

    Thanks,

    Sami

  • tmparker
    tmparker
    534 Posts

    Re: HATS 8.0 Work with WAS 8.5 ?

    ‏2013-09-06T16:45:14Z  
    • Sami_
    • ‏2013-09-06T14:28:00Z

    Thank Tim for your kind reply.

    Actually We have HATS 8.0 with WAS 6.1 in development environment. We generate the EAR file  to target WAS 6.1, and then we provide this EAR to our client , he deploy this EAR file on WAS 6.1 server. But now our client has installed WAS 8.5 and he wants to deploy  same EAR on WAS 8.5.

    So I want to know that the EAR file which was generated from HATS8.0 for WAS6.1 can be deploy on WAS 8.5.?

    Thanks,

    Sami

    In theory, WAS should be backward compatible so an EAR from an older version of WAS should be able to run on a newer version of WAS.  I can't guarantee that since I don't know enough about the internals of WAS and whether they made any changes that could break the EAR.  I think it should work but you would need to test it to be sure.  HATS does not test these kinds of things since we only test HATS on the specific versions of WAS we claim support for in each release.  The WAS team would be the only ones who could say for sure if they knew of any reasons this wouldn't work.  Personally, I would just try it out and see what happens!

    Thanks

    Tim

  • Sami_
    Sami_
    8 Posts

    Re: HATS 8.0 Work with WAS 8.5 ?

    ‏2013-09-09T10:14:22Z  
    • tmparker
    • ‏2013-09-06T16:45:14Z

    In theory, WAS should be backward compatible so an EAR from an older version of WAS should be able to run on a newer version of WAS.  I can't guarantee that since I don't know enough about the internals of WAS and whether they made any changes that could break the EAR.  I think it should work but you would need to test it to be sure.  HATS does not test these kinds of things since we only test HATS on the specific versions of WAS we claim support for in each release.  The WAS team would be the only ones who could say for sure if they knew of any reasons this wouldn't work.  Personally, I would just try it out and see what happens!

    Thanks

    Tim

    Thanks, Tim.